/*
 * Copyright (c) 2016 Tom Bocklisch <https://github.com/tmbo>
 */

package de.hpi.kdd.mixedfeature.datagen

/**
  * Properties of a correlation cluster of features. Features in a cluster are most
  * helpful in the classification task if all of them are present. As soon as one
  * feature of a cluster is not present, the predictive power of the cluster goes
  * down significantly
  *
  * @param size                     number of features in the cluster
  * @param maxIndividualFeatureCorr relevancy of the single features if the not all cluster features are present
  */
case class CorrClusterProperties(size: Int, maxIndividualFeatureCorr: Double)
